| Home | Libraries | People | FAQ | More

## Struct template as_min_base

boost::numeric::functional::as_min_base

## Synopsis

    // In header: <boost/accumulators/numeric/functional.hpp>

    template<typename Arg, typename EnableIf>
    struct as_min_base :
      public std::unary_function< Arg, remove_const< Arg >::type >
    {

      // public member functions
      remove_const< Arg >::type operator()(Arg &) const;
    };

## Description

### `as_min_base` public member functions

1.     remove_const< Arg >::type operator()(Arg &) const;